For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Events
      • GETGet Event Types
Logo
Log inBook a demo
API ReferenceEvents

Get Event Types

GET
https://app.polytomic.com/api/events_types
GET
/api/events_types
$curl https://app.polytomic.com/api/events_types \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>"
1{
2 "data": [
3 "user.created",
4 "user.updated",
5 "user.deleted",
6 "file.uploaded",
7 "file.deleted",
8 "integration.connected",
9 "integration.disconnected",
10 "sync.started",
11 "sync.completed",
12 "error.occurred"
13 ]
14}

Returns the set of event type identifiers supported by GET /api/events.

Use the identifiers returned here as the event_type filter value when calling GET /api/events.

Was this page helpful?
Previous

List Webhooks

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Headers

X-Polytomic-VersionstringRequired

Response

OK
datalist of strings or null

Errors

401
Unauthorized Error